import { HttpClient } from '@wix/sdk-types';
import { HydrateBlankFunctionTemplateOptions, HydrateBlankFunctionTemplateResponse, HydrateBlankFunctionTemplateResponseNonNullableFields, HydrateFunctionTemplateOptions, HydrateFunctionTemplateResponse, HydrateFunctionTemplateResponseNonNullableFields } from './functions-v1-function-template-hydration-function-template-hydration.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function hydrateFunctionTemplate(httpClient: HttpClient): HydrateFunctionTemplateSignature;
interface HydrateFunctionTemplateSignature {
    /**
     * Hydrating the function template extension with data from siteless meta site
     * @param - App id where function template extension is created
     */
    (appId: string, options: HydrateFunctionTemplateOptions): Promise<HydrateFunctionTemplateResponse & HydrateFunctionTemplateResponseNonNullableFields>;
}
export declare function hydrateBlankFunctionTemplate(httpClient: HttpClient): HydrateBlankFunctionTemplateSignature;
interface HydrateBlankFunctionTemplateSignature {
    /**
     * Scratch version of the function extension
     * Generated automatically by the function extension id
     * Does not require any additional input from template
     * @param - App id where function extension is created
     */
    (appId: string, options: HydrateBlankFunctionTemplateOptions): Promise<HydrateBlankFunctionTemplateResponse & HydrateBlankFunctionTemplateResponseNonNullableFields>;
}
export { Action, ActionInfoOneOf, ActionSettings, ActivationStatus, AppDefinedAction, ApplicationOrigin, AuditInfo, AuditInfoIdOneOf, Automation, AutomationConfiguration, AutomationOriginInfoOneOf, AutomationSettings, ConditionAction, ConditionExpressionGroup, DelayAction, Domain, DraftInfo, Enrichment, Enrichments, ExtendedFields, Filter, FunctionMethod, FunctionSpiConfiguration, FunctionTemplateHydration, FutureDateActivationOffset, HydrateBlankFunctionTemplateOptions, HydrateBlankFunctionTemplateRequest, HydrateBlankFunctionTemplateResponse, HydrateBlankFunctionTemplateResponseNonNullableFields, HydrateFunctionTemplateOptions, HydrateFunctionTemplateRequest, HydrateFunctionTemplateResponse, HydrateFunctionTemplateResponseNonNullableFields, Operator, Origin, OutputAction, PreinstalledOrigin, RateLimit, RateLimitAction, SetVariablesAction, Status, TimeUnit, Trigger, Type, _Function, } from './functions-v1-function-template-hydration-function-template-hydration.universal.js';
